## org.pentaho.reporting.libraries.repository.zipreader
Class ZipReadRepository

    java.lang.Object
      org.pentaho.reporting.libraries.repository.zipreader.ZipReadRepository

All Implemented Interfaces:
  Repository

    public class ZipReadRepository

extends java.lang.Object
implements Repository

Provides read-only access to ZIP files. The whole zip-file is cached in memory so this input method will fail badly on huge zuip-files.

Author:
  Thomas Morgner

Constructor Summary
`ZipReadRepository(java.io.InputStream in)`
`ZipReadRepository(java.io.InputStream in, MimeRegistry mimeRegistry)`

Method Summary
`MimeRegistry` `getMimeRegistry()` Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
`ContentLocation` `getRoot()` Returns the repositories root directory entry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipReadRepository

    public ZipReadRepository(java.io.InputStream in)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### ZipReadRepository

    public ZipReadRepository(java.io.InputStream in,
                             MimeRegistry mimeRegistry)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getRoot

    public ContentLocation getRoot()
                            throws ContentIOException

  Description copied from interface: `Repository`
  Returns the repositories root directory entry.

  Specified by:
    `getRoot` in interface `Repository`
  Returns:
    the root directory.
  Throws:
    `ContentIOException` - if an error occurs.

### getMimeRegistry

    public MimeRegistry getMimeRegistry()

  Description copied from interface: `Repository`
  Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.

  Specified by:
    `getMimeRegistry` in interface `Repository`
  Returns:
    the mime registry.
  See Also:
    `MimeRegistry`